%define libmajor 3
%define libname %mklibname apngasm %libmajor
%define devname %mklibname -d apngasm

Summary:	Create an APNG from multiple PNG files
Name:		apngasm
Version:	3.1.10
Release:	%mkrel 3
License:	zlib
Group:		Graphics/Editors and Converters
URL:		https://github.com/apngasm/apngasm
Source0:	https://github.com/apngasm/apngasm/archive/master/%{name}-%{version}.tar.gz
Patch0:		0001-fix-library-soname.patch
Patch1:		apngasm-skip-static-build
Patch2:		apngasm-linking.patch
BuildRequires:	boost-devel
BuildRequires:	cmake
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(zlib)

%description
Assemble APNG animation from PNG image sequence

%package -n %{libname}
Summary:	Library for assembling APNG files from PNG files

%description -n %{libname}
Library for assembling APNG animation from PNG sequence

%package -n %{devname}
Summary:	Headers for the library for assembling APNG files from PNG files
Requires:	%{libname} = %{version}-%{release}

%description -n %{devname}
Headers for the library for assembling APNG animation from PNG sequence

%prep
%autosetup -p1

%build
%cmake
%cmake_build

%install
%cmake_install
mkdir -p %{buildroot}%{_datadir}
mv %{buildroot}%{_prefix}/man %{buildroot}%{_datadir}/

%files
%{_bindir}/%{name}
%{_mandir}/man1/apngasm.1*

%files -n %{libname}
%{_libdir}/libapngasm.so.%{libmajor}{,.*}

%files -n %{devname}
%{_includedir}/*.h
%{_libdir}/libapngasm.so
%{_libdir}/pkgconfig/libapngasm.pc


%changelog
* Sat Dec 24 2022 wally <wally> 3.1.10-3.mga9
+ Revision: 1926453
- rebuild for boost 1.81.0

* Sun Jul 03 2022 wally <wally> 3.1.10-2.mga9
+ Revision: 1867333
- rebuild for boost 1.79.0

* Thu May 12 2022 ghibo <ghibo> 3.1.10-1.mga9
+ Revision: 1857756
- imported package apngasm


* Thu May 12 2022 ghibo <ghibo> 3.1.10-1.mga9
- Initial release.
